/* -------------------------------------------------------------------- */
/* SMS Client, send messages to mobile phones and pagers		*/
/*									*/
/* driver.c								*/
/*									*/
/*  Copyright (C) 1997,1998 Angelo Masci				*/
/*									*/
/*  This library is free software; you can redistribute it and/or	*/
/*  modify it under the terms of the GNU Library General Public		*/
/*  License as published by the Free Software Foundation; either	*/
/*  version 2 of the License, or (at your option) any later version.	*/
/*									*/
/*  This library is distributed in the hope that it will be useful,	*/
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of	*/
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	*/
/*  Library General Public License for more details.			*/
/*									*/
/*  You should have received a copy of the GNU Library General Public	*/
/*  License along with this library; if not, write to the Free		*/
/*  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.	*/
/*									*/
/*  You can contact the author at this e-mail address:			*/
/*									*/
/*  angelo@styx.demon.co.uk						*/
/*									*/
/* -------------------------------------------------------------------- */
/* $Id: driver.c,v 4.2 1998/01/17 22:36:49 root Exp root $
   -------------------------------------------------------------------- */

#include <stdio.h>


#include "logfile.h"
#include "driver.h"

/* -------------------------------------------------------------------- */

DEVICE_ENTRY *device_list[] = {
#if defined(TAP)
	&tap_device,
#endif
#if defined(VODAFONE)
	&vodafone_device,
#endif
#if defined(ORANGE)
	&orange_device,
#endif
#if defined(PAGEONE)
	&pageone_device,
#endif
#if defined(VODACOM)
	&vodacom_device,
#endif
#if defined(MTN)
	&mtn_device,
#endif
#if defined(ONE2ONE)
	&one2one_device,
#endif
#if defined(LIBERTEL)
	&libertel_device,
#endif
	NULL
};

/* -------------------------------------------------------------------- */
/* -------------------------------------------------------------------- */
DEVICE_ENTRY *get_device(char *name)
{
	DEVICE_ENTRY **device;


	if (name == NULL)
	{	return NULL;
	}

	
	device = device_list;

	while (*device != NULL)
	{
		if (strcmp((*device)->name, name) == 0)
		{
			lprintf(LOG_VERBOSE, "Device Found: %s\n", name);
			return *device;
		}

		device++;
	}

	lprintf(LOG_VERBOSE, "Device NOT Found: %s\n", name);
	return NULL;
}

/* -------------------------------------------------------------------- */
/* -------------------------------------------------------------------- */
void display_drivers(void)
{
	DEVICE_ENTRY **device;


	device = device_list;

	if (*device == NULL)
	{	lprintf(LOG_WARNING, "No drivers have been included!\n");
	}

	while (*device != NULL)
	{
		lprintf(LOG_STANDARD, "%s\n", (*device)->name);
		device++;
	}
}

